org.apache.felix.framework.capabilityset

## Class CapabilitySet

- java.lang.Object
- - org.apache.felix.framework.capabilityset.CapabilitySet

    public class CapabilitySet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CapabilitySet(List<String> indexProps, boolean caseSensitive)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addCapability(BundleCapability cap)`
`void` `dump()`
`Set<Capability>` `match(SimpleFilter sf, boolean obeyMandatory)`
`static boolean` `matches(Capability cap, SimpleFilter sf)`
`void` `removeCapability(BundleCapability cap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CapabilitySet

    public CapabilitySet(List<String> indexProps,
                         boolean caseSensitive)

### Method Detail

#### dump

    public void dump()

#### addCapability

    public void addCapability(BundleCapability cap)

#### removeCapability

    public void removeCapability(BundleCapability cap)

#### match

    public Set<Capability> match(SimpleFilter sf,
                                 boolean obeyMandatory)

#### matches

    public static boolean matches(Capability cap,
                                  SimpleFilter sf)